# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray2OfPnt Class Reference

`#include <PColgp_HArray2OfPnt.hxx>`

## Public Member Functions

Standard_EXPORT | PColgp_HArray2OfPnt (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColgp_HArray2OfPnt (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Pnt &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Pnt &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT gp_Pnt | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray2OfPnt ()
| PColgp_HArray2OfPnt (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPntmyLowerRow () const
void | _CSFDB_SetPColgp_HArray2OfPntmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPntmyLowerCol () const
void | _CSFDB_SetPColgp_HArray2OfPntmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPntmyUpperRow () const
void | _CSFDB_SetPColgp_HArray2OfPntmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfPntmyUpperCol () const
void | _CSFDB_SetPColgp_HArray2OfPntmyUpperCol (const Standard_Integer p)
const PColgp_FieldOfHArray2OfPnt & | _CSFDB_GetPColgp_HArray2OfPntData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColgp_FieldOfHArray2OfPnt | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColgp_FieldOfHArray2OfPnt | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray2OfPnt::PColgp_HArray2OfPnt | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColgp_HArray2OfPnt::PColgp_HArray2OfPnt | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Pnt & | V
| ) |

PColgp_HArray2OfPnt::PColgp_HArray2OfPnt | ( |  | ) | `[inline]`

PColgp_HArray2OfPnt::PColgp_HArray2OfPnt | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray2OfPnt& PColgp_HArray2OfPnt::_CSFDB_GetPColgp_HArray2OfPntData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt::_CSFDB_GetPColgp_HArray2OfPntmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt::_CSFDB_GetPColgp_HArray2OfPntmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt::_CSFDB_GetPColgp_HArray2OfPntmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfPnt::_CSFDB_GetPColgp_HArray2OfPntmyUpperRow | ( |  | ) | const`[inline]`

void PColgp_HArray2OfPnt::_CSFDB_SetPColgp_HArray2OfPntmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt::_CSFDB_SetPColgp_HArray2OfPntmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt::_CSFDB_SetPColgp_HArray2OfPntmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfPnt::_CSFDB_SetPColgp_HArray2OfPntmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColgp_HArray2OfPnt::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColgp_HArray2OfPnt::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray2OfPnt PColgp_HArray2OfPnt::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray2OfPnt::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray2OfPnt::LowerCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfPnt::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColgp_HArray2OfPnt::RowLength | ( |  | ) | const

Standard_EXPORT void PColgp_HArray2OfPnt::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Pnt & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray2OfPnt::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray2OfPnt::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray2OfPnt::UpperCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfPnt::UpperRow | ( |  | ) | const

Standard_EXPORT gp_Pnt PColgp_HArray2OfPnt::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColgp_FieldOfHArray2OfPnt PColgp_HArray2OfPnt::Data`[private]`

Standard_Integer PColgp_HArray2OfPnt::myLowerCol`[private]`

Standard_Integer PColgp_HArray2OfPnt::myLowerRow`[private]`

Standard_Integer PColgp_HArray2OfPnt::myUpperCol`[private]`

Standard_Integer PColgp_HArray2OfPnt::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray2OfPnt.hxx